%global         momorel 1

Name:           perl-Email-Address
Version:        1.905
Release:        %{momorel}m%{?dist}
Summary:        RFC 2822 Address Parsing and Creation
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Email-Address/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJBS/Email-Address-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Encode
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-Test-Simple >= 0.47
Requires:       perl-Test-Simple >= 0.47
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
This class implements a regex-based RFC 2822 parser that locates email
addresses in strings and returns a list of Email::Address objects found.
Alternatley you may construct objects manually. The goal of this software
is to be correct, and very very fast.

%prep
%setup -q -n Email-Address-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/Email/Address.pm
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.905-1m)
- rebuild against perl-5.20.0
- update to 1.905

* Sun Apr 20 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.1903-1m)
- update to 1.1903

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.901-1m)
- update to 1.901
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.900-2m)
- rebuild against perl-5.18.1

* Sat Aug 10 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.900-1m)
- update to 1.900

* Sat Aug  3 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.899-1m)
- update to 1.899

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.898-3m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.898-2m)
- rebuild against perl-5.16.3

* Sat Feb  9 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.898-1m)
- update to 1.898

* Tue Dec 18 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.897-1m)
- update to 1.897

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.896-3m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.896-2m)
- rebuild against perl-5.16.1

* Wed Aug  1 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.896-1m)
- update to 1.896

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.895-2m)
- rebuild against perl-5.16.0

* Sat Mar 10 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.895-1m)
- update to 1.895

* Tue Jan  3 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.893-1m)
- update to 1.893

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.892-7m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.892-6m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.892-5m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.892-4m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.892-3m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.892-2m)
- rebuild against perl-5.12.2

* Tue Sep 21 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.892-1m)
- update to 1.892
- Specfile re-generated by cpanspec 1.78.

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.889-8m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.889-7m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.889-6m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.889-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.889-4m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.889-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.889-2m)
- rebuild against gcc43

* Sat Dec 22 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.889-1m)
- update to 1.889

* Thu Jul  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.888-1m)
- update to 1.888

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.887-2m)
- use vendor

* Mon Apr  2 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.887-1m)
- update to 1.887

* Sat Mar  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.886-1m)
- update to 1.886

* Fri Mar  2 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.885-1m)
- update to 1.885

* Tue Dec  5 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (1.883-1m)
- update to 1.883

* Sun Nov 19 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (1.880-1m)
- update to 1.880

* Wed Nov  8 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (1.871-1m)
- update to 1.871

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.870-1m)
- spec file was autogenerated
